Page MenuHomePhabricator

Module ext.WikidataPageBanner should depend on oojs-ui-styles not oojs-ui
Closed, ResolvedPublic

Description

The module is unnecessarily pulling in all the JavaScript from oojs ui despite nothing on the page needing this.

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterWikidataPageBanner remove oojs-ui dependency

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to June 26-July 18 on the Wikidata-Page-Banner board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Wikidata. · View Herald TranscriptJul 22 2015, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 226521 had a related patch set uploaded (by Sumit):
Load oojs ui styles only for banner icons

https://gerrit.wikimedia.org/r/226521

Remember, 'dependencies' are completely ignored for modules loaded with addModuleStyles(), like 'ext.WikidataPageBanner'. Styles for OOjs UI widgets are loaded when you call OutputPage::enableOOUI(), which the extension correctly does.

Oh cool.. so he doesn't need to add the module at all. That's even better :)

Jdlrobson closed this task as Resolved.Jul 23 2015, 4:02 PM
Jdlrobson claimed this task.

Change 226521 merged by jenkins-bot:
WikidataPageBanner remove oojs-ui dependency

https://gerrit.wikimedia.org/r/226521

matmarex reassigned this task from Jdlrobson to Sumit.Jul 24 2015, 11:05 AM
matmarex triaged this task as Medium priority.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.